Put a complete set of pppd(8) sample configuration files in

/usr/share/examples/pppd.

Update pppd(8) documentation to reflect this, usr.sbin/pppd/pppd.8.

Remove the out-of-place pppd(8) configuration files in etc/ppp,
ppp.shells.sample and ppp.deny.

Make the appropriate changes to the build process, etc/Makefile and
etc/mtree/BSD.usr.mtree, so it all works.

The files from etc/ppp, ppp.shells.sample and ppp.deny, were moved
with a repo copy. Note it in the logs with a forced commit to these
two.

Submitted by:	Maxim Konovalov <maxim@macomnet.ru> provided the new samples.
This commit is contained in:
Crist J. Clark 2002-01-29 00:23:35 +00:00
parent 4b82fc955f
commit 76f10508d4
Notes: svn2git 2020-12-20 02:59:44 +00:00
svn path=/head/; revision=89936
10 changed files with 117 additions and 5 deletions

View File

@ -43,8 +43,7 @@ BIN2= netstart pccard_ether rc.suspend rc.resume
MTREE= BSD.include.dist BSD.local.dist BSD.root.dist BSD.usr.dist \
BSD.var.dist BSD.x11.dist BSD.x11-4.dist
NAMEDB= PROTO.localhost.rev named.conf named.root make-localhost
PPPCNF= ppp.deny ppp.shells.sample
PPPCF2= ppp.conf
PPPCNF= ppp.conf
ETCMAIL=Makefile README mailer.conf access.sample virtusertable.sample \
mailertable.sample aliases
@ -117,10 +116,8 @@ distribution:
${MTREE} ${DESTDIR}/etc/mtree
cd ${.CURDIR}/namedb; ${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m 644 \
${NAMEDB} ${DESTDIR}/etc/namedb
cd ${.CURDIR}/ppp; ${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m 644 \
${PPPCNF} ${DESTDIR}/etc/ppp
cd ${.CURDIR}/ppp; ${INSTALL} -c -o root -g ${BINGRP} -m 600 \
${PPPCF2} ${DESTDIR}/etc/ppp
${PPPCNF} ${DESTDIR}/etc/ppp
cd ${.CURDIR}/mail; ${INSTALL} -c -o ${BINOWN} -g ${BINGRP} -m 644 \
${ETCMAIL} ${DESTDIR}/etc/mail
@if [ -d ${DESTDIR}/etc/mail -a -f ${DESTDIR}/etc/mail/aliases -a \

View File

@ -0,0 +1,7 @@
#!/bin/sh
#
# $FreeBSD$
#
# Example for /etc/ppp/auth-down file.
/usr/bin/logger -p daemon.notice -t pppd "User $2 is logged off"

View File

@ -0,0 +1,7 @@
#!/bin/sh
#
# $FreeBSD$
#
# Example for /etc/ppp/auth-up file.
/usr/bin/logger -p daemon.notice -t pppd "User $2 is logged in"

View File

@ -0,0 +1,17 @@
# $FreeBSD$
#
# Example for /etc/ppp/chap-secrets file.
#
# This file should be owned by root and not readable or
# writable by any other user.
#
# Dialin format: <remote name> <our name> <password> <allowed IP addresses>
#
joe server password 192.168.0.0/24 192.168.2.2
lisa server l1z4 * !192.168.0.1
mike server secret *
luser server nopass -
#
# Dialout format: <our name> <server name> <password>
#
jane isp password

View File

@ -0,0 +1,33 @@
#!/bin/sh
#
# $FreeBSD$
#
# Example for chat.sh file.
INIT='at&f'
dial(){
/usr/bin/chat -v \
ABORT "ERROR" \
ABORT "NO DIALTONE" \
TIMEOUT 5 \
"" "AT" \
"OK" "${INIT}" \
"OK"-"+++"-"" "ATH" \
ABORT "BUSY" \
ABORT "NO ANSWER" \
ABORT "NO CARRIER" \
"OK" "ATDP$1" \
TIMEOUT 70 \
"ogin:" "username" \
"word:" "pasword" \
TIMEOUT 50 \
"PPP" "\c"
[ $? -eq 0 ] && exit 0
echo "$1 failed" 1>&2
exit 1
}
dial 1234567

View File

@ -0,0 +1,7 @@
#!/bin/sh
#
# $FreeBSD$
#
# Example for /etc/ppp/ip-down file.
/usr/bin/logger -p daemon.notice -t pppd "$1 is down"

View File

@ -0,0 +1,8 @@
#!/bin/sh
#
# $FreeBSD$
#
# Example for /etc/ppp/ip-up file.
/usr/bin/logger -p daemon.notice -t pppd "$1 is up"
/usr/sbin/ntpdate ntpserver

View File

@ -0,0 +1,16 @@
# $FreeBSD$
#
# Example for /etc/ppp/options file.
#
/dev/cuaa4
115200
modem
crtscts
asyncmap 0
connect '/etc/ppp/chat.sh'
defaultroute
noipdefault
persist
holdoff 5
mtu 250
mru 250

View File

@ -0,0 +1,17 @@
# $FreeBSD$
#
# Example for /etc/ppp/pap-secrets file.
#
# This file should be owned by root and not readable or
# writable by any other user.
#
# Dialin format: <remote name> <our name> <password> <allowed IP addresses>
#
joe server password 192.168.0.1/24 192.168.2.2
lisa server l1z4 * !192.168.0.1
mike server secret *
luser server nopass -
#
# Dialout format: <our name> <server name> <password>
#
jane isp password

View File

@ -1126,6 +1126,9 @@ Lists users who may not use the system password PAP authentication.
.B /etc/ppp/ppp.shells
Lists user shells which are approved for system password PAP authentication
logins.
.TP
.B /usr/share/examples/pppd/
Sample pppd configuration files.
.SH SEE ALSO
.IR chat(8),
.IR ppp(8)